Discover auth configuration
Return authentication configuration for CLI/SDK discovery.
This endpoint is unauthenticated and returns the information clients
need to authenticate with this NeMo Platform deployment.
**Response fields:**
- `auth_enabled`: Whether authentication is enabled on this cluster
- `oidc`: OIDC configuration (only present when OIDC is enabled)
- `issuer`: The OIDC issuer URL
- `authorization_endpoint`: Authorization endpoint for browser-based flows
- `token_endpoint`: Token exchange endpoint
- `device_authorization_endpoint`: Device flow authorization endpoint (for CLI)
- `userinfo_endpoint`: UserInfo endpoint
- `client_id`: OAuth client ID to use
- `default_scopes`: OAuth scopes to request during authentication
- `scope_prefix`: Prefix to prepend to custom scopes (those with ':' or '.default')
Response
Successful Response
auth_enabled
oidc
OIDC discovery response for CLI/SDK.